#!/bin/sh
# 定义应用组名
group_name='${serverGroup}'
# 定义应用名称，建议与drone中服务名和jar包名保持一致
app_name='${serverName}'
# 定义应用版本
app_version='1.0'
echo '----copy jar----'
docker stop ${app_name}
echo '----stop container----'
docker rm ${app_name}
echo '----rm container----'
docker rmi ${group_name}/${app_name}:${app_version}
echo '----rm image----'
# 打包编译docker镜像
docker build -t ${group_name}/${app_name}:${app_version} .
echo '----build image----'
docker run -p ${outerPort}:${innerPort} --name ${app_name} \
-e TZ="Asia/Shanghai" \
-v /etc/localtime:/etc/localtime \
-d ${group_name}/${app_name}:${app_version}
echo '----start container----'
